<div *ngIf="isNodeVisible() && caseNode as node">
  <div class="node" (click)="toggleFold()" [class]="getStyle(node.item)">
    <div
      *ngIf="node.item.abbreviatedStatement; else fullStatement"
      class="statement"
      [innerHtml]="node.item.abbreviatedStatement"
    ></div>
    <ng-template #fullStatement>
      <div class="statement full" [innerHtml]="node.item.fullStatement"></div>
    </ng-template>
    <div class="type">
      {{ node.item.CFItemType }}
    </div>
  </div>

  <div *ngIf="!folded" class="children">
    <app-case-foldable-node
      *ngFor="let child of node.children"
      [caseNode]="child"
      [searchTerm]="searchTerm"
    ></app-case-foldable-node>
  </div>
</div>
